Questions
List
GET
/surveymodules/{moduleId}/surveys/{surveyId}/questions
https://api.relesystest.net/api/v1.4/surveymodules/{moduleId}/surveys/{surveyId}/questions
Get a list of questions for survey with
Default sorting is by
Question types:
For the
surveyId in a module with moduleId.Default sorting is by
sortOrder in ascending order.Question types:
- Multiple Choice
- Scale
- Text
- Video / Picture / Info
- Employee Net Promoter Score
sentimentAnalysisEnabled can be set only if survey type is Survey.
This option is available exclusively for question type Text.For the
answerOptions field:
value represents the numerical weight assigned to an answer option, ensuring all question scales are evaluated consistently.
Available for questions in a module with Survey type only.
Scopes: relesys.api, relesys.api:read, relesys.api.survey, relesys.api.survey:read
URL Path
| moduleId | string / guid | The module's unique identifier | required | |
| surveyId | string / guid | The survey's unique identifier | required |
Query String
| creationDateTime | datetimeoffset |
Filterable Sortable
|
optional | |
| driver | string |
Filterable Sortable
|
optional | |
| id | string / guid |
Filterable
|
optional | |
| lastModifiedDateTime | datetimeoffset |
Filterable Sortable
|
optional | |
| maxSelectedOptions | integer |
Filterable Sortable
|
optional | |
| name | string |
Filterable Sortable
|
optional | |
| point | integer |
Filterable Sortable
|
optional | |
| questionType | string |
Filterable
|
optional | |
| sentimentAnalysisEnabled | boolean |
Filterable Sortable
|
optional | |
| sortOrder | integer |
Filterable Sortable
|
optional | |
| sort | string | Comma separated sort order based on sortable properties | optional | |
| offset | integer | Offset value for use in pagination | Default: 0 | optional |
| limit | integer | Total objects to fetch (max 1000) | Default: 200 | optional |